## org.eclipse.emf.ecore
Interface EModelElement

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  ChangeFactory, ChangePackage, EAnnotation, EAttribute, EClass, EClassifier, Ecore2EcoreFactory, Ecore2EcorePackage, Ecore2XMLFactory, Ecore2XMLPackage, EcoreFactory, EcorePackage, EDataType, EEnum, EEnumLiteral, EFactory, ENamedElement, EOperation, EOperation.Internal, EPackage, EParameter, EReference, EStructuralFeature, EStructuralFeature.Internal, ETypedElement, ETypeParameter, GenModelFactory, GenModelPackage, MappingFactory, MappingPackage, TreeFactory, TreePackage, XMLNamespaceFactory, XMLNamespacePackage, XMLTypeFactory, XMLTypePackage

All Known Implementing Classes:
  ChangeFactoryImpl, ChangePackageImpl, EAnnotationImpl, EAttributeImpl, EClassifierImpl, EClassImpl, Ecore2EcoreFactoryImpl, Ecore2EcorePackageImpl, Ecore2XMLFactoryImpl, Ecore2XMLPackageImpl, EcoreFactoryImpl, EcorePackageImpl, EDataTypeImpl, EEnumImpl, EEnumLiteralImpl, EFactoryImpl, EModelElementImpl, ENamedElementImpl, EOperationImpl, EPackageImpl, EParameterImpl, EReferenceImpl, EStructuralFeatureImpl, ETypedElementImpl, ETypeParameterImpl, GenModelFactoryImpl, GenModelPackageImpl, MappingFactoryImpl, MappingPackageImpl, TreeFactoryImpl, TreePackageImpl, XMLNamespaceFactoryImpl, XMLNamespacePackageImpl, XMLTypeFactoryImpl, XMLTypePackageImpl

    public interface EModelElement

extends EObject

A representation of the model object 'EModel Element'.

The following features are supported:

- `EAnnotations`

See Also:
  `EcorePackage.getEModelElement()`

Method Summary
`EAnnotation` `getEAnnotation(java.lang.String source)` Return the annotation with a matching `source` attribute.
`EList<EAnnotation>` `getEAnnotations()` Returns the value of the 'EAnnotations' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEAnnotations

    EList<EAnnotation> getEAnnotations()

  Returns the value of the 'EAnnotations' containment reference list. The list contents are of type `EAnnotation`. It is bidirectional and its opposite is '`EModel Element`'. It represents additional associated information

  Returns:
    the value of the 'EAnnotations' containment reference list.
  See Also:
    `getEAnnotation(String)`, `EcorePackage.getEModelElement_EAnnotations()`, `EAnnotation.getEModelElement()`

### getEAnnotation

    EAnnotation getEAnnotation(java.lang.String source)

  Return the annotation with a matching `source` attribute.

  Returns:
    The annotation with a matching source attribute.
  See Also:
    `getEAnnotations()`, `EAnnotation.getSource()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.